Subject: bug#66536: closed (Re: [bug#66536] QA review for 66536)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 19 Oct 2023 19:55:01 +0000

Your bug report

#66536: [PATCH 0/1] gnu: unison: Update to 2.53.3.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66536: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66536
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#66536] QA review for 66536
From: Ludovic Courtès <[email-masked]>
To: Christopher Baines <[email-masked]>
Cc: pukkamustard <[email-masked]>, [email-masked]
Date: Thu, 19 Oct 2023 21:54:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Christopher Baines <[email-masked]> skribis:

> user guix
> usertag 66536 + reviewed-looks-good
> thanks
>
> I don't know anything about unison, but this looks good to me.

I saw the dark green tick on qa.guix so I applied it.  :-)

Thanks,
Ludo’.

Subject: [PATCH 0/1] gnu: unison: Update to 2.53.3.
From: pukkamustard <[email-masked]>
To: [email-masked]
Cc: pukkamustard <[email-masked]>, Andreas Enge <[email-masked]>
Date: Sat, 14 Oct 2023 12:01:12 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

This updates unison to 2.53.3.

Unison can now be built with OCaml 4.14.1 (instead of 4.09). We should now be
able to remove all OCaml 4.09 (and 4.07) packages except those needed for the
prospective bootstrap.

CCing Andreas who I belive is a unison user.

Cheers,
pukkamustard

pukkamustard (1):
  gnu: unison: Update to 2.53.3.

 gnu/local.mk                                  |  1 -
 gnu/packages/ocaml.scm                        | 50 ++----------
 .../patches/unison-fix-ocaml-4.08.patch       | 81 -------------------
 3 files changed, 8 insertions(+), 124 deletions(-)
 delete mode 100644 gnu/packages/patches/unison-fix-ocaml-4.08.patch

base-commit: 1328c4cca531318e3ed90c6aecb522a5b22a4bcc
-- 
2.41.0